Bug 990127 - Jcr2vfs migration tool: Directory structure not recognized when using real databases for JCR repo
Jcr2vfs migration tool: Directory structure not recognized when using real da...
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ER6
: 6.0.0
Assigned To: Mark Proctor
Petr Široký
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-30 08:52 EDT by Petr Široký
Modified: 2014-08-06 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Content of dir with repository.xml when using mysql (131.80 KB, application/zip)
2013-07-30 08:54 EDT, Petr Široký
no flags Details

  None (edit)
Description Petr Široký 2013-07-30 08:52:12 EDT
Description of problem:
When trying to migrate the JCR repository that has the data stored in real database (e.g. mysql or postgresql) the migration tool throws following exception:
Exception in thread "main" java.lang.IllegalStateException: The unnestedVersionDir (/home/psiroky/work/jcr2vfs/guvnor-5.3-with-mysql/brms-standalone-5.3.1/jboss-as/bin/version) and the nestedVersionDir (/home/psiroky/work/jcr2vfs/guvnor-5.3-with-mysql/brms-standalone-5.3.1/jboss-as/bin/repository/version) does not exist.
	at org.drools.workbench.jcr2vfsmigration.Jcr2VfsMigrater.determineJcrRepositoryRootDirectory(Jcr2VfsMigrater.java:154)
	at org.drools.workbench.jcr2vfsmigration.Jcr2VfsMigrater.setupDirectories(Jcr2VfsMigrater.java:92)
	at org.drools.workbench.jcr2vfsmigration.Jcr2VfsMigrater.migrateAll(Jcr2VfsMigrater.java:70)
	at org.drools.workbench.jcr2vfsmigration.Jcr2VfsMigrater$Proxy$_$$_WeldClientProxy.migrateAll(Jcr2VfsMigrater$Proxy$_$$_WeldClientProxy.java)
	at org.drools.workbench.jcr2vfsmigration.Jcr2VfsMigrationApp.main(Jcr2VfsMigrationApp.java:36)


Problem is that the migration tool expects "version" directory inside the repository directory which is only true when the JCR repo is using embedded db. When real db is used the "version" dir is not created and the directory structure is:

repository/index/...
workspaces/default/...
repository.xml

Workaround is to create empty dir "repository/version", then the migration is successful.


Version-Release number of selected component (if applicable):
6.0.0.CR1

How reproducible:


Steps to Reproduce:
1. Download the attached repo and unzip it.
2. Use the directory with the zip content as "-i" parameter for migrator.


Actual results:
Exception is thrown.


Expected results:
Migration is successfully completed.
Comment 1 Petr Široký 2013-07-30 08:54:32 EDT
Created attachment 780640 [details]
Content of dir with repository.xml when using mysql
Comment 9 Petr Široký 2014-01-14 06:01:19 EST
Verified fixed in 6.0.0-ER7.

Note You need to log in before you can comment on or make changes to this bug.